/*	com.h

	AFAPI communication function declarations.

	July 1996 by H. Dietz
*/


#ifndef _COM_H
#define _COM_H


#define	P_DECLARE(suffix) \
extern p_##suffix \
p_bcastGet##suffix(void);
P_ALPHA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern void \
p_bcastPut##suffix(p_##suffix d);
P_ALPHA

#undef	P_DECLARE

extern void
p_bcastGetz(void *a, int n);

extern void
p_bcastPutz(void *a, int n);


#define	P_DECLARE(suffix) \
extern p_##suffix \
p_putGet##suffix(p_##suffix d, int a);
P_ALPHA

#undef	P_DECLARE


#define	P_DECLARE(suffix) \
extern void \
p_gather##suffix(p_##suffix *p, p_##suffix d);
P_ALPHA

#undef	P_DECLARE


#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scatPut##suffix(p_##suffix *p); \
extern p_##suffix \
p_scatGet##suffix(void);
P_ALPHA

#undef	P_DECLARE


#endif
